For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete a Elemental

Delete elementals

Remove elementals from your collection permanently.

Delete Multiple Elementals

delete

Deletes multiple elementals by their IDs.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Body
elemental_idsstring[]Required

Array of elemental IDs to delete

Responses
204

Elementals deleted successfully

No content

delete/v1/user/elementals
cURL
curl -X DELETE "https://api-integrations.snackprompt.com/v1/user/elementals" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"elemental_ids": ["uuid-1", "uuid-2"]}'

No content

Delete Elemental

delete

Deletes a specific elemental.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
elemental_idstringRequired
Responses
204

Elemental deleted successfully

No content

delete/v1/user/elemental/{elemental_id}
cURL
curl -X DELETE "https://api-integrations.snackprompt.com/v1/user/elemental/abc123" \
  -H "x-api-key: YOUR_API_KEY"

No content

Last updated

Was this helpful?